#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 criterion
version:              1.6.1.0
visibility:           public
id:                   criterion-1.6.1.0-Hs1emR582MXGuRp1UdiLus
key:                  criterion-1.6.1.0-Hs1emR582MXGuRp1UdiLus
license:              BSD-3-Clause
copyright:            2009-2016 Bryan O'\''Sullivan and others
maintainer:           Ryan Scott <ryan.gl.scott@gmail.com>
author:               Bryan O'\''Sullivan <bos@serpentine.com>
homepage:             http://www.serpentine.com/criterion
synopsis:             Robust, reliable performance measurement and analysis
description:
    This library provides a powerful but simple way to measure software
    performance.  It provides both a framework for executing and
    analysing benchmarks and a set of driver functions that makes it
    easy to build and run benchmarks, and to analyse their results.

    The fastest way to get started is to read the
    <http://www.serpentine.com/criterion/tutorial.html online tutorial>,
    followed by the documentation and examples in the "Criterion.Main"
    module.

    For examples of the kinds of reports that criterion generates, see
    <http://www.serpentine.com/criterion the home page>.

category:             Development, Performance, Testing, Benchmarking
abi:                  91e668bd08f0242a09677900bc2f2f18
exposed:              True
exposed-modules:
    Criterion Criterion.Analysis Criterion.IO Criterion.IO.Printf
    Criterion.Internal Criterion.Main Criterion.Main.Options
    Criterion.Monad Criterion.Report Criterion.Types

hidden-modules:
    Criterion.Main.Options.Internal Criterion.Monad.Internal
    Paths_criterion

import-dirs:          /usr/lib/ghc-9.4.8/site-local/criterion-1.6.1.0
library-dirs:         /usr/lib/ghc-9.4.8/site-local/criterion-1.6.1.0
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/criterion-1.6.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-criterion
hs-libraries:         HScriterion-1.6.1.0-Hs1emR582MXGuRp1UdiLus
depends:
    Glob-0.10.2-l9e5pjfmfGBTuOQ7CdIZG
    aeson-2.1.2.1-8bwKrGTS6zMBpBkx7W0Lha base-4.17.2.1
    base-compat-batteries-0.12.3-CBBGSgCtKkcZZWnkBSeuc binary-0.8.9.1
    binary-orphans-1.0.5-9tXJKzhSs5C7IDFEKkVp52 bytestring-0.11.5.3
    cassava-0.5.3.2-w4nEKhwr107BmStYAMNri
    code-page-0.2.1-LeQPy5FeQvS92HSQRBnpzj containers-0.6.7
    criterion-measurement-0.2.2.0-7KoXnjM1KI08JRRF6Kx9qe
    deepseq-1.4.8.0 directory-1.3.7.1 exceptions-0.10.5
    filepath-1.4.2.2 js-chart-2.9.4.1-IBsFHDloWlsCcv9nYHmzO5
    microstache-1.0.2.3-J37NUNdPD8r147teFKPfH5 mtl-2.2.2
    mwc-random-0.15.2.0-AafrYW4wYol3gthOsN3BNJ
    optparse-applicative-0.17.1.0-GJejBEZRufe1ghPqBo6gVT
    parsec-3.1.16.1 statistics-0.16.3.0-CMklb8Z0wC27dCLXk6jIwH
    text-2.0.2 time-1.12.2 transformers-0.5.6.2
    transformers-compat-0.7.2-F1TSDgHxVH372cWL2D3XnQ
    vector-0.13.2.0-CMnyNy925iLU2oFqM6oBU
    vector-algorithms-0.9.1.0-6LefZMoPNpM7w8Q64GHDw

haddock-interfaces:   /usr/share/doc/haskell-criterion/html/criterion.haddock
haddock-html:         /usr/share/doc/haskell-criterion/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

